import imageio
from imageio import v3 as iio
import os
import numpy as np

clusters = 16
path = f"activation_vis/out/vgg/masks/v3_subtle_iceberg_lettuce_nymph-6_203-2056/5/{clusters}"

for i in range(clusters):
    fp = os.path.join(path, str(i))
    if not os.path.exists(fp):
        os.makedirs(fp)

for file in os.listdir(path):
    fullpath = os.path.join(path, file)
    if os.path.isdir(fullpath):
        continue

    image = imageio.imread(fullpath)
    image = (image / (255 / (clusters - 1))).astype(np.int8)

    for i in range(clusters):
        imageio.imwrite(
            os.path.join(path, str(i), file),
            (image == i).astype(np.int8) * 255            
        )
